@import './../../assets/styles/variables';
@import './../../assets/styles/mixins/mixins';

.sb-onboard {
  width: 100%;
  height: 100vh;
  display: flex;
  align-items: center;
  position: fixed;
  top: 0;
  left: 0;

  @include respond-above(sm) {
    background: url('../../assets/images/schooling/onboard_bg.svg');
    background-size: cover;
    background-repeat: no-repeat;
    background-position: 0px 0px;
    padding: calculateRem(32px);
  }

  &__container {
    width: 100%;
    height: 100%;
    background: #EDF4F9;
    padding: calculateRem(32px);
    margin: 0 auto;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
    position: relative;

    @include respond-above(sm) {
      border-radius: calculateRem(8px);
      max-width: 1008px;
      min-height: calculateRem(610px);
      height: auto;
    }
  }

  &__header {
    width: calculateRem(328px);
    text-align: center;

    h1 {
      color: var(--primary-400);
      font-size: calculateRem(24px);
      font-weight: bold;
      letter-spacing: 0;
      line-height: calculateRem(32px);
      text-align: center;
      margin: calculateRem(8px) 0px;
    }
  }

  &__content {
    width: calculateRem(648px);
    max-width: 100%;
    margin-bottom: auto;
    overflow: hidden;
    overflow-y: auto;
  }

  &__footer {
    margin-top: calculateRem(16px);
    width: calculateRem(328px);
  }

  .brand-logo {
    width: calculateRem(86px);
  }

  .arrow-icon {
    float: right;

    html[dir="rtl"] & {
      float: left;
    }
  }

  .close-modal {
    position: absolute;
    right: calculateRem(16px);
    top: calculateRem(16px);
    z-index: 9;
    min-width: auto;
  }

  .back-btn {
    position: absolute;
    left: calculateRem(8px);
    top: calculateRem(16px);
    min-width: auto;
  }
}

::ng-deep {
  p.subtitle {
    color: var(--gray-800);
    font-size: calculateRem(18px);
    font-weight: bold;
    letter-spacing: 0;
    line-height: calculateRem(26px);
    text-align: center;
  }
}

// .animation {
//   &.start {
//     transform: translateX(-999px);
//     transition: all .75s ease;
//   }
// }

.sb-onboard__content {
}

.animation {
  &.show {
    animation-name: fade-in;
  }
  &.back {
    animation-name: fade-out
  }
  &.show, &.back {
    animation-fill-mode: both;
    animation-duration: 1s;
  }
}

@keyframes fade-in {
  from {
    opacity: 0;
    transform: translateX(1000px);
  }
  to {
    opacity: 1;
    transform: translateX(0);
  }
  // &.stop {
  //   left:0;
  //   //transform: translateX(-999px);
  //   transition: all .5s ease;
  // }
  
}

@keyframes fade-out {
  from {
    opacity: 0;
    transform: translateX(-1000px);
  }
  to {
    opacity: 1;
    transform: translateX(0);
  }
}